TenantsUpdate tenant settings
Tenants

Update tenant settings

Updates specific settings for a tenant.

curl -X PATCH "https://api.neostra.io/api/v1/tenant/example_string/settings/example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
  -d '{
  "value": {}
}'
{
  "status": 200,
  "message": "Success",
  "data": {},
  "errors": [
    "example_string"
  ]
}
PATCH
/api/v1/tenant/{tenantId}/settings/{settingsId}
PATCH
Bearer Token (JWT)
Bearer Tokenstring
Required

JWT bearer token for authentication

JWT bearer token for authentication
path
tenantIdstring
Required

The tenant identifier

path
settingsIdstring
Required

The settings identifier to update

Content-Typestring
Required

The media type of the request body

Options: application/json
valueobject

Settings value to update

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). JWT bearer token for authentication

Path Parameters

tenantIdstring
Required

The tenant identifier

settingsIdstring
Required

The settings identifier to update

Body

application/json
valueobject

Settings value to update

Responses

statusinteger

HTTP status code

messagestring

Response message

dataobject

Response payload

errorsstring[]

List of error details, if any